谷歌浏览器:This site uses a plugin(BaiduSafeInput)that will soon be unsupported.

NPAPI 插件不支持!这个提示来自谷歌浏览器。最近升级了谷歌浏览器之后发现很多网站里的插件运行不正常,包括百度、淘宝等知名网站的安全控件,甚至银行领域的网站。

将chrome谷歌浏览器升级到最新版本 43.0.2357.130 m后,发现很多网站的插件都不被谷歌浏览器支持啦!比如打开百度联盟的网站会提示:

This site uses a plugin(BaiduSafeInput)that will soon be unsupported. (中文:此网站使用的插件(BaiduSafeInput)很快将不再受支持)

说明:上面括号里是当前网站的插件名字,如:百度安全输入控件(BaiduSafeInput)。

谷歌对绝多数网站的安全控件不支持
谷歌对绝多数网站的安全控件不支持

谷歌浏览器对NPAPI 支持已结束

过去,许多插件都是使用一种称为 NPAPI 的旧系统开发的。如今,只有少量网站在使用 NPAPI 插件,因为这些插件有时会给网站带来安全风险。

为了让用户获得更安全、更快速且更稳定的 Chrome 浏览体验,谷歌已结束 Chrome 42 版对 NPAPI 插件的支持。

谷歌浏览器支持哪些插件

使用 Pepper API (PPAPI) 这种更新、更安全的系统的插件将继续正常使用,包括 Chrome 自带的那些插件,如 Adobe Flash 和 PDF 查看器。但是,一些使用 NPAPI 的插件(包括 Silverlight、Java 和 Unity)将无法使用。

谷歌浏览器如何临时启用 NPAPI 插件

如果必须使用 NPAPI 插件,​​可以采用下面介绍的临时解决方法(在 Chrome 45 版于 2015 年晚些时候发布之前,此方法将一直有效):

1、打开 Chrome。

2、在屏幕顶部的地址栏中,输入 chrome://flags/#enable-npapi

3、在随即打开的窗口中,点击启用 NPAPI 标记下方显示启用的链接:

谷歌浏览器启用NPAPI插件的方法
谷歌浏览器启用NPAPI插件的方法

4、点击页面左下角的立即重新启动按钮,重启chrome浏览器

注意:谷歌Chrome 45 版本发布后,将需要使用其他网络浏览器来加载需要 NPAPI 插件的内容。

=============补充20150926=============

最近chrome谷歌浏览器频繁升级!现在chrome最新版本45.0.2454.101,已经不再支持NPAPI插件!

依赖第三方NPAPI的项目,大家可以换成360极速浏览器(双核:chrome、ie)极速模式下运行,或火狐firefox浏览器,均完美支持哦~

PS:谷歌浏览器唱的哪出啊?如果为了所谓的安全性那牺牲太大啦!大家可能已经发现啦,纵观火狐浏览器的控制台外观及其功能完全是要替代chrome的节奏(相似度极高~)。看来除chrome之外的主流浏览器再次崛起的时刻到啦…

 

相关经验

导读书签
书签初始化中…